﻿
namespace ActivitySample.Web
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Linq;
    using System.Web.Ria;
    using System.Web.Ria.Data;
    using System.Web.DomainServices;
    using System.Data;
    using System.Web.DomainServices.LinqToEntities;


    // Implements application logic using the NORTHWNDEntities context.
    // TODO: Add your application logic to these methods or in additional methods.
    [EnableClientAccess()]
    public class NorthwindDomainService : LinqToEntitiesDomainService<NORTHWNDEntities>
    {

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<Categories> GetCategories()
        {
            return this.Context.Categories.OrderBy((cat) => cat.CategoryID);
        }

        public void InsertCategories(Categories categories)
        {
        }

        public void UpdateCategories(Categories currentCategories)
        {
        }

        public void DeleteCategories(Categories categories)
        {
        }

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<CustomerDemographics> GetCustomerDemographics()
        {
            return this.Context.CustomerDemographics.OrderBy((dem) => dem.CustomerTypeID);
        }

        public void InsertCustomerDemographics(CustomerDemographics customerDemographics)
        {
        }

        public void UpdateCustomerDemographics(CustomerDemographics currentCustomerDemographics)
        {
        }

        public void DeleteCustomerDemographics(CustomerDemographics customerDemographics)
        {
        }

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<Customers> GetCustomers()
        {
            return this.Context.Customers.OrderBy((cust) => cust.CustomerID);
        }

        public void InsertCustomers(Customers customers)
        {
        }

        public void UpdateCustomers(Customers currentCustomers)
        {
        }

        public void DeleteCustomers(Customers customers)
        {
        }

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<Employees> GetEmployees()
        {
            return this.Context.Employees.OrderBy((emp) => emp.EmployeeID);
        }

        public void InsertEmployees(Employees employees)
        {
        }

        public void UpdateEmployees(Employees currentEmployees)
        {
        }

        public void DeleteEmployees(Employees employees)
        {
        }

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<Order_Details> GetOrder_Details()
        {
            return this.Context.Order_Details.OrderBy((det) => det.OrderID);
        }

        public void InsertOrder_Details(Order_Details order_Details)
        {
        }

        public void UpdateOrder_Details(Order_Details currentOrder_Details)
        {
        }

        public void DeleteOrder_Details(Order_Details order_Details)
        {
        }

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<Orders> GetOrders()
        {
            return this.Context.Orders.OrderBy((ord) => ord.OrderID);
        }

        public void InsertOrders(Orders orders)
        {
        }

        public void UpdateOrders(Orders currentOrders)
        {
        }

        public void DeleteOrders(Orders orders)
        {
        }

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<Products> GetProducts()
        {
            return this.Context.Products.OrderBy((prod) => prod.ProductID);
        }

        public void InsertProducts(Products products)
        {
        }

        public void UpdateProducts(Products currentProducts)
        {
        }

        public void DeleteProducts(Products products)
        {
        }

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<Region> GetRegion()
        {
            return this.Context.Region.OrderBy((reg) => reg.RegionID);
        }

        public void InsertRegion(Region region)
        {
        }

        public void UpdateRegion(Region currentRegion)
        {
        }

        public void DeleteRegion(Region region)
        {
        }

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<Shippers> GetShippers()
        {
            return this.Context.Shippers.OrderBy((ship) => ship.ShipperID);
        }

        public void InsertShippers(Shippers shippers)
        {
        }

        public void UpdateShippers(Shippers currentShippers)
        {
        }

        public void DeleteShippers(Shippers shippers)
        {
        }

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<Suppliers> GetSuppliers()
        {
            return this.Context.Suppliers.OrderBy((supp) => supp.SupplierID);
        }

        public void InsertSuppliers(Suppliers suppliers)
        {
        }

        public void UpdateSuppliers(Suppliers currentSuppliers)
        {
        }

        public void DeleteSuppliers(Suppliers suppliers)
        {
        }

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<Territories> GetTerritories()
        {
            return this.Context.Territories.OrderBy((terr) => terr.TerritoryID);
        }

        public void InsertTerritories(Territories territories)
        {
        }

        public void UpdateTerritories(Territories currentTerritories)
        {
        }

        public void DeleteTerritories(Territories territories)
        {
        }
    }
}


